<div style="height: calc(100vh - 52px); width: calc(100vw - 10px);">
  <div>
    <p>
      <button *ngIf="user" mat-raised-button (click)="clicked('trackAsCustomer')" color="accent">Where's my Milk Tea?</button>
    </p>
    <p>
      <button *ngIf="user" mat-raised-button (click)="clicked('set')" color="warn">Setup my current Location</button>
    </p>
    
  </div>
  
  <span *ngIf="!user"> Start shopping in Eclipse.</span>

  <rt-grid #grid [columnDefs]="columnDefs"
    [style] = "'width: 100vw; height: 75vh'"
    rowModelType = 'clientSide'
    serverSideStoreType = 'full'
    [apiCall]="apiCall">
  </rt-grid>

</div>